<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Tracing](./puppeteer.tracing.md) &gt; [start](./puppeteer.tracing.start.md)

## Tracing.start() method

Starts a trace for the current page.

<b>Signature:</b>

```typescript
start(options?: TracingOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [TracingOptions](./puppeteer.tracingoptions.md) | Optional <code>TracingOptions</code>. |

<b>Returns:</b>

Promise&lt;void&gt;

## Remarks

Only one trace can be active at a time per browser.

